### Method

# Foundry Debugger list_thread_groups

#### Declaration [src]

    GListModel*
    foundry_debugger_list_thread_groups (
      FoundryDebugger* self
    )

#### Description [src]

List thread groups known to the debugger.

#### Return value

Type: A list model of `GObject`

A `GListModel` of `FoundryDebuggerThreadGroup`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.